package romejanic.blood.api;

import net.minecraft.entity.EntityLiving;

public class BloodParticlesAPI {
	
	/**
	 * Adds a entity to the Blood Particles blacklist. This means the entity will not bleed when hit.
	 * 
	 * @param entity The entity to blacklist. Must extend EntityLiving and must be called like MyEntity.class
	 */
	public void addEntityToEntityBlacklist(Class<? extends EntityLiving> entity) {
		
		try {
			
			Class.forName("romejanic.blood.common.core.CommonProxy").getMethod("addEntityToBlacklist", Class.class).invoke(null, entity);
			
		} catch(Exception e) {
			
			System.out.println("[BloodParticlesAPI] Tried to add " + entity + " to entity blacklist, but Blood Particles is not installed...");
			
		}
		
	}

}
